# Class OjFilmStrip

The component WebElement for oj-film-strip. Do not instantiate this class directly, instead, use ojFilmStrip.

#### Hierarchy

- OjFilmStripBase
  - OjFilmStrip

#####
Index

### Constructors

constructor

### Methods

changeCurrentItem
changeCurrentItemById
changeCurrentItemByIndex
clear
click
findElement
findElements
getArrowPlacement
getArrowVisibility
getAttribute
getCssValue
getCurrentItem
getLocation
getLooping
getMaxItemsPerPage
getOrientation
getProperty
getRect
getSize
getText
getTranslations
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjFilmStrip(el, locators): OjFilmStrip

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjFilmStrip

  Inherited from OjFilmStripBase.constructor

## Methods

### changeCurrentItem

- changeCurrentItem(currentItem): Promise<void>

- Sets the value of `currentItem` property. Specifies the child item whose logical page should be displayed.

  #### Parameters

  - ##### currentItem: CurrentItem

    The value to set for `currentItem`

  #### Returns Promise<void>

  Inherited from OjFilmStripBase.changeCurrentItem

### changeCurrentItemById

- changeCurrentItemById(id): Promise<void>

- Sets the value of `currentItem` property to a given id. Specifies the child item whose logical page should be displayed.

  #### Parameters

  - ##### id: string

    The id value to set for `currentItem`

  #### Returns Promise<void>

### changeCurrentItemByIndex

- changeCurrentItemByIndex(index): Promise<void>

- Sets the value of `currentItem` property to a given index. Specifies the child item whose logical page should be displayed.

  #### Parameters

  - ##### index: number

    The index value to set for `currentItem`

  #### Returns Promise<void>

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjFilmStripBase.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjFilmStripBase.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjFilmStripBase.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjFilmStripBase.findElements

### getArrowPlacement

- getArrowPlacement(): Promise<string>

- Gets the value of `arrowPlacement` property. Specifies the placement of the navigation arrows.

  #### Returns Promise<string>

  The value of `arrowPlacement` property.

  Inherited from OjFilmStripBase.getArrowPlacement

### getArrowVisibility

- getArrowVisibility(): Promise<string>

- Gets the value of `arrowVisibility` property. Specifies the visibility of the navigation arrows.

  #### Returns Promise<string>

  The value of `arrowVisibility` property.

  Inherited from OjFilmStripBase.getArrowVisibility

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjFilmStripBase.getAttribute

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjFilmStripBase.getCssValue

### getCurrentItem

- getCurrentItem(): Promise<CurrentItem>

- Gets the value of `currentItem` property. Specifies the child item whose logical page should be displayed.

  #### Returns Promise<CurrentItem>

  The value of `currentItem` property.

  Inherited from OjFilmStripBase.getCurrentItem

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjFilmStripBase.getLocation

### getLooping

- getLooping(): Promise<string>

- Gets the value of `looping` property. Specifies the navigation looping behavior

  #### Returns Promise<string>

  The value of `looping` property.

  Inherited from OjFilmStripBase.getLooping

### getMaxItemsPerPage

- getMaxItemsPerPage(): Promise<number>

- Gets the value of `maxItemsPerPage` property. Specifies the maximum number of child items shown in a logical page.

  #### Returns Promise<number>

  The value of `maxItemsPerPage` property.

  Inherited from OjFilmStripBase.getMaxItemsPerPage

### getOrientation

- getOrientation(): Promise<string>

- Gets the value of `orientation` property. Specifies the orientation of the FilmStrip.

  #### Returns Promise<string>

  The value of `orientation` property.

  Inherited from OjFilmStripBase.getOrientation

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjFilmStripBase.getProperty

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjFilmStripBase.getRect

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjFilmStripBase.getSize

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjFilmStripBase.getText

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

  Inherited from OjFilmStripBase.getTranslations

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjFilmStripBase.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjFilmStripBase.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjFilmStripBase.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjFilmStripBase.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjFilmStripBase.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjFilmStripBase.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjFilmStripBase.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjFilmStripBase.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjFilmStripBase.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjFilmStripBase.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjFilmStripBase.whenReady

Generated using TypeDoc